Class Index | File Index

## Classes

- _global_
- jQuery.fn.minplayer
- minplayer.async
- minplayer.compatibility
- minplayer.controllers.base
- minplayer.display
- minplayer.file
- minplayer.flags
- minplayer.image
- minplayer.players.base
- minplayer.players.flash
- minplayer.players.html5
- minplayer.players.minplayer
- minplayer.players.vimeo
- minplayer.players.youtube
- minplayer.playLoader.base
- minplayer.plugin

# Class minplayer.controllers.base

Extends minplayer.display.
This is the base minplayer controller. Other controllers can derive from the base and either build on top of it or simply define the elements that this base controller uses.
Defined in: minplayer.controllers.base.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| minplayer.controllers.base(context, options)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| constructor Reset the constructor.

Fields borrowed from class minplayer.plugin:
  name, options, pluginReady, queue

Method Summary
Method Attributes | Method Name and Description
--- | ---
| construct()
| getElements()
| playPause(state, media) Plays or pauses the media.
| setPlayPause(state) Sets the play and pause state of the control bar.
| setTimeString(element, time) Sets the time string on the control bar.

Methods borrowed from class minplayer.display:
  bind, getDisplay, getScaledRect, isValid, onResize, trigger
Methods borrowed from class minplayer.plugin:
  addPlugin, checkQueue, destroy, get, loadPlugins, ready

Class Detail
minplayer.controllers.base(context, options)

Parameters:
{object} context
  The jQuery context.
{object} options
  This components options.

Field Detail
constructor
Reset the constructor.
Method Detail
construct()

See:
  minplayer.plugin#construct

{object} getElements()

Returns:
  {object} The elements defined by this display.

See:
  minplayer.display#getElements

playPause(state, media)
Plays or pauses the media.

Parameters:
{bool} state
  true => play, false => pause.
{object} media
  The media player object.

setPlayPause(state)
Sets the play and pause state of the control bar.

Parameters:
{boolean} state
  TRUE - Show Play, FALSE - Show Pause.

setTimeString(element, time)
Sets the time string on the control bar.

Parameters:
{string} element
  The name of the element to set.
{number} time
  The total time amount to set.

Documentation generated by JsDoc Toolkit 2.4.0 on Sun Feb 19 2012 00:13:02 GMT-0600 (CST)